<?php

	$makeup_artist_custom_css= "";

	/*----------------------First highlight color-------------------*/

	$makeup_artist_first_color = get_theme_mod('makeup_artist_first_color');

	if($makeup_artist_first_color != false){
		$makeup_artist_custom_css .='.social-icons .widget p.mb-0 a:hover, #slider .read-btn a, .view-all-btn a,.more-btn a,#comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, .woocommerce a.added_to_cart.wc-forward, #service-section strong, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, #sidebar h3, .woocommerce span.onsale,.post-categories li a,.wp-block-tag-cloud a:hover,#sidebar label.wp-block-search__label, #sidebar .wp-block-heading,.wp-block-button__link, a.wc-block-components-checkout-return-to-cart-button,.wp-block-woocommerce-empty-cart-block a.wp-block-button__link.add_to_cart_button.ajax_add_to_cart,.woocommerce-cart  .wc-block-grid .wc-block-grid__product-onsale{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_first_color).';';
		$makeup_artist_custom_css .='}';
	}

	if($makeup_artist_first_color != false){
		$makeup_artist_custom_css .='.wp-block-woocommerce-cart .wc-block-cart__submit-button, .wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button,.wc-block-components-order-summary-item__quantity,.wp-block-woocommerce-cart .wc-block-components-product-badge{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_first_color).'!important;';
		$makeup_artist_custom_css .='}';
	}

	if($makeup_artist_first_color != false){
		$makeup_artist_custom_css .='a, p.site-title a, .logo h1 a, p.site-description, .service-box:hover .read-btn a, .copyright a:hover, .post-main-box:hover h2 a, #footer .textwidget a,#footer li a:hover,.post-main-box:hover h3 a,#sidebar ul li a:hover,.post-navigation a:hover .post-title, .post-navigation a:focus .post-title,.post-navigation a:hover,.post-navigation a:focus{';
			$makeup_artist_custom_css .='color: '.esc_attr($makeup_artist_first_color).';';
		$makeup_artist_custom_css .='}';
	}

	/*----------------------Second highlight color-------------------*/

	$makeup_artist_second_color = get_theme_mod('makeup_artist_second_color');

	if($makeup_artist_second_color != false){
		$makeup_artist_custom_css .='.logo-bg, .more-btn a:hover,input[type="submit"]:hover,#comments input[type="submit"]:hover,#comments a.comment-reply-link:hover,.pagination .current,.pagination a:hover,#footer .tagcloud a:hover,#sidebar .tagcloud a:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.widget_product_search button:hover,nav.woocommerce-MyAccount-navigation ul li:hover, .social-icons .widget p.mb-0 a, .appointment-btn, .main-navigation ul.sub-menu>li>a:before, #slider .read-btn a:hover, .quoute-text, .view-all-btn a:hover, .more-btn a:hover, #comments input[type="submit"]:hover,#comments a.comment-reply-link:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.pro-button a:hover, #preloader, #footer-2, .scrollup i, .pagination span, .pagination a, .widget_product_search button, .toggle-nav button, .bradcrumbs a:hover, .bradcrumbs span,.post-categories li a:hover,.wp-block-woocommerce-empty-cart-block .wc-block-grid__product-onsale,.wp-block-woocommerce-empty-cart-block a.wp-block-button__link.add_to_cart_button.ajax_add_to_cart,header.woocommerce-Address-title.title a,.woocommerce a.added_to_cart.wc-forward:hover{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_second_color).'!important;';
		$makeup_artist_custom_css .='}';
	}

	if($makeup_artist_second_color != false){
		$makeup_artist_custom_css .='.social-icons .widget p.mb-0 a:hover, #slider .carousel-control-next i, #slider .carousel-control-prev i, #slider .inner_carousel h1 a, .post-main-box h2 a,.post-main-box:hover .post-info span a, .single-post .post-info:hover a, .middle-bar h6, .main-navigation a:hover{';
			$makeup_artist_custom_css .='color: '.esc_attr($makeup_artist_second_color).';';
		$makeup_artist_custom_css .='}';
	}

	if($makeup_artist_second_color != false){
		$makeup_artist_custom_css .='#slider .carousel-control-next i, #slider .carousel-control-prev i,.wp-block-woocommerce-empty-cart-block .wc-block-grid__product-onsale{';
			$makeup_artist_custom_css .='border-color: '.esc_attr($makeup_artist_second_color).'!important;';
		$makeup_artist_custom_css .='}';
	}

	if($makeup_artist_second_color != false){
		$makeup_artist_custom_css .='.home-page-header{';
			$makeup_artist_custom_css .='border-bottom-color: '.esc_attr($makeup_artist_second_color).';';
		$makeup_artist_custom_css .='}';
	}

	/*---------------------------Width Layout -------------------*/

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_width_option','Full Width');
    if($makeup_artist_theme_lay == 'Boxed'){
		$makeup_artist_custom_css .='body{';
			$makeup_artist_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_theme_lay == 'Wide Width'){
		$makeup_artist_custom_css .='body{';
			$makeup_artist_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_theme_lay == 'Full Width'){
		$makeup_artist_custom_css .='body{';
			$makeup_artist_custom_css .='max-width: 100%;';
		$makeup_artist_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_slider_opacity_color','0.7');
	if($makeup_artist_theme_lay == '0'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.1'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.1';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.2'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.2';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.3'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.3';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.4'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.4';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.5'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.5';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.6'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.6';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.7'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.7';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.8'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.8';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.9'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.9';
		$makeup_artist_custom_css .='}';
	}

	/*---------------------- Slider Image Overlay ------------------------*/

	$makeup_artist_slider_image_overlay = get_theme_mod('makeup_artist_slider_image_overlay', true);
	if($makeup_artist_slider_image_overlay == false){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:1;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_slider_image_overlay_color = get_theme_mod('makeup_artist_slider_image_overlay_color', true);
	if($makeup_artist_slider_image_overlay_color != false){
		$makeup_artist_custom_css .='#slider{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_slider_image_overlay_color).';';
		$makeup_artist_custom_css .='}';
	}

	/*------------------Slider Content Layout -------------------*/

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_slider_content_option','Left');
    if($makeup_artist_theme_lay == 'Left'){
		$makeup_artist_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$makeup_artist_custom_css .='text-align:left; left:20%; right:55%;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_theme_lay == 'Center'){
		$makeup_artist_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$makeup_artist_custom_css .='text-align:center; left:30%; right:30%;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_theme_lay == 'Right'){
		$makeup_artist_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$makeup_artist_custom_css .='text-align: right; left:55%; right:20%;';
		$makeup_artist_custom_css .='}';
	}

	/*------------------ Slider Height ------------*/

	$makeup_artist_slider_height = get_theme_mod('makeup_artist_slider_height');
	if($makeup_artist_slider_height != false){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='height: '.esc_attr($makeup_artist_slider_height).';';
		$makeup_artist_custom_css .='}';
	}

	/*----------------Responsive Media -----------------------*/

	$makeup_artist_resp_slider = get_theme_mod( 'makeup_artist_resp_slider_hide_show',true);
	if($makeup_artist_resp_slider == true && get_theme_mod( 'makeup_artist_slider_hide_show', true) == false){
    	$makeup_artist_custom_css .='#slider{';
			$makeup_artist_custom_css .='display:none;';
		$makeup_artist_custom_css .='} ';
	}
    if($makeup_artist_resp_slider == true){
    	$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='#slider{';
			$makeup_artist_custom_css .='display:block;';
		$makeup_artist_custom_css .='} }';
	}else if($makeup_artist_resp_slider == false){
		$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='#slider{';
			$makeup_artist_custom_css .='display:none;';
		$makeup_artist_custom_css .='} }';
		$makeup_artist_custom_css .='@media screen and (max-width:575px){';
		$makeup_artist_custom_css .='.page-template-custom-home-page.admin-bar .homepageheader{';
			$makeup_artist_custom_css .='margin-top: 45px;';
		$makeup_artist_custom_css .='} }';
	}

	$makeup_artist_resp_topbar = get_theme_mod( 'makeup_artist_resp_topbar_hide_show',true);
	if($makeup_artist_resp_topbar == true && get_theme_mod( 'makeup_artist_topbar_hide_show', true) == false){
    	$makeup_artist_custom_css .='.top-header{';
			$makeup_artist_custom_css .='display:none;';
		$makeup_artist_custom_css .='} ';
	}
    if($makeup_artist_resp_topbar == true){
    	$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='.top-header{';
			$makeup_artist_custom_css .='display:block;';
		$makeup_artist_custom_css .='} }';
	}else if($makeup_artist_resp_topbar == false){
		$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='.top-header{';
			$makeup_artist_custom_css .='display:none;';
		$makeup_artist_custom_css .='} }';
	}

	$makeup_artist_resp_sidebar = get_theme_mod( 'makeup_artist_sidebar_hide_show',true);
    if($makeup_artist_resp_sidebar == true){
    	$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='#sidebar{';
			$makeup_artist_custom_css .='display:block;';
		$makeup_artist_custom_css .='} }';
	}else if($makeup_artist_resp_sidebar == false){
		$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='#sidebar{';
			$makeup_artist_custom_css .='display:none;';
		$makeup_artist_custom_css .='} }';
	}

	$makeup_artist_resp_scroll_top = get_theme_mod( 'makeup_artist_resp_scroll_top_hide_show',true);
	if($makeup_artist_resp_scroll_top == true && get_theme_mod( 'makeup_artist_hide_show_scroll',true) == false){
    	$makeup_artist_custom_css .='.scrollup i{';
			$makeup_artist_custom_css .='visibility:hidden !important;';
		$makeup_artist_custom_css .='} ';
	}
    if($makeup_artist_resp_scroll_top == true){
    	$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='.scrollup i{';
			$makeup_artist_custom_css .='visibility:visible !important;';
		$makeup_artist_custom_css .='} }';
	}else if($makeup_artist_resp_scroll_top == false){
		$makeup_artist_custom_css .='@media screen and (max-width:575px){';
		$makeup_artist_custom_css .='.scrollup i{';
			$makeup_artist_custom_css .='visibility:hidden !important;';
		$makeup_artist_custom_css .='} }';
	}

	$makeup_artist_resp_menu_toggle_btn_bg_color = get_theme_mod('makeup_artist_resp_menu_toggle_btn_bg_color');
	if($makeup_artist_resp_menu_toggle_btn_bg_color != false){
		$makeup_artist_custom_css .='.toggle-nav button,.sidenav .closebtn{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_resp_menu_toggle_btn_bg_color).';';
		$makeup_artist_custom_css .='}';
	}
	
	/*---------------- Button Settings ------------------*/

	$makeup_artist_button_border_radius = get_theme_mod('makeup_artist_button_border_radius');
	if($makeup_artist_button_border_radius != false){
		$makeup_artist_custom_css .='.post-main-box .more-btn a{';
			$makeup_artist_custom_css .='border-radius: '.esc_attr($makeup_artist_button_border_radius).'px;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_button_padding_top_bottom = get_theme_mod('makeup_artist_button_padding_top_bottom');
	$makeup_artist_button_padding_left_right = get_theme_mod('makeup_artist_button_padding_left_right');
	if($makeup_artist_button_padding_top_bottom != false || $makeup_artist_button_padding_left_right != false){
		$makeup_artist_custom_css .='.post-main-box .more-btn a{';
			$makeup_artist_custom_css .='padding-top: '.esc_attr($makeup_artist_button_padding_top_bottom).'; padding-bottom: '.esc_attr($makeup_artist_button_padding_top_bottom).';padding-left: '.esc_attr($makeup_artist_button_padding_left_right).';padding-right: '.esc_attr($makeup_artist_button_padding_left_right).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_button_font_size = get_theme_mod('makeup_artist_button_font_size',14);
	$makeup_artist_custom_css .='.post-main-box .more-btn a{';
		$makeup_artist_custom_css .='font-size: '.esc_attr($makeup_artist_button_font_size).';';
	$makeup_artist_custom_css .='}';

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_button_text_transform','Uppercase');
	if($makeup_artist_theme_lay == 'Capitalize'){
		$makeup_artist_custom_css .='.post-main-box .more-btn a{';
			$makeup_artist_custom_css .='text-transform:Capitalize;';
		$makeup_artist_custom_css .='}';
	}
	if($makeup_artist_theme_lay == 'Lowercase'){
		$makeup_artist_custom_css .='.post-main-box .more-btn a{';
			$makeup_artist_custom_css .='text-transform:Lowercase;';
		$makeup_artist_custom_css .='}';
	}
	if($makeup_artist_theme_lay == 'Uppercase'){ 
		$makeup_artist_custom_css .='.post-main-box .more-btn a{';
			$makeup_artist_custom_css .='text-transform:Uppercase;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_button_letter_spacing = get_theme_mod('makeup_artist_button_letter_spacing');
	$makeup_artist_custom_css .='.post-main-box .more-btn a{';
		$makeup_artist_custom_css .='letter-spacing: '.esc_attr($makeup_artist_button_letter_spacing).';';
	$makeup_artist_custom_css .='}';

	$makeup_artist_footer_background_image = get_theme_mod('makeup_artist_footer_background_image');
	if($makeup_artist_footer_background_image != false){
		$makeup_artist_custom_css .='#footer{';
			$makeup_artist_custom_css .='background: url('.esc_attr($makeup_artist_footer_background_image).');background-size:cover;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_footer_background_color = get_theme_mod('makeup_artist_footer_background_color');
	if($makeup_artist_footer_background_color != false){
		$makeup_artist_custom_css .='#footer{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_footer_background_color).';';
		$makeup_artist_custom_css .='}';
	}

	// button font weight
	$makeup_artist_button_font_weight = get_theme_mod('makeup_artist_button_font_weight');
  	$makeup_artist_custom_css .='.more-btn a{';
    $makeup_artist_custom_css .='font-weight: '.esc_attr($makeup_artist_button_font_weight).'!important;';
  	$makeup_artist_custom_css .='}';

	//Button hover effect
	$makeup_artist_button_hover_effect = get_theme_mod('makeup_artist_button_hover_effect', 'disable');
	if ($makeup_artist_button_hover_effect !== 'disable') {
		$makeup_artist_custom_css .= '.more-btn a:hover {';
		switch ($makeup_artist_button_hover_effect) {
			case 'pulse':
				$makeup_artist_custom_css .= 'animation: pulse 0.5s ease-in-out !important;';
				break;
			case 'rubberBand':
				$makeup_artist_custom_css .= 'animation: rubberBand 0.5s ease-in-out !important;';
				break;
			case 'swing':
				$makeup_artist_custom_css .= 'animation: swing 0.5s ease-in-out !important;';
				break;
			case 'tada':
				$makeup_artist_custom_css .= 'animation: tada 0.5s ease-in-out !important;';
				break;
			case 'jello':
				$makeup_artist_custom_css .= 'animation: jello 0.5s ease-in-out!important;';
				break;
		}
		$makeup_artist_custom_css .= '}';
	}


	/*---------------- Single Blog Page Settings ------------------*/

	$makeup_artist_single_blog_comment_title = get_theme_mod('makeup_artist_single_blog_comment_title', 'Leave a Reply');
	if($makeup_artist_single_blog_comment_title == ''){
		$makeup_artist_custom_css .='#comments h2#reply-title {';
			$makeup_artist_custom_css .='display: none;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_single_blog_comment_button_text = get_theme_mod('makeup_artist_single_blog_comment_button_text', 'Post Comment');
	if($makeup_artist_single_blog_comment_button_text == ''){
		$makeup_artist_custom_css .='#comments p.form-submit {';
			$makeup_artist_custom_css .='display: none;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_comment_width = get_theme_mod('makeup_artist_single_blog_comment_width');
	if($makeup_artist_comment_width != false){
		$makeup_artist_custom_css .='#comments textarea{';
			$makeup_artist_custom_css .='width: '.esc_attr($makeup_artist_comment_width).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_singlepost_image_box_shadow = get_theme_mod('makeup_artist_singlepost_image_box_shadow',0);
	if($makeup_artist_singlepost_image_box_shadow != false){
		$makeup_artist_custom_css .='.feature-box img{';
			$makeup_artist_custom_css .='box-shadow: '.esc_attr($makeup_artist_singlepost_image_box_shadow).'px '.esc_attr($makeup_artist_singlepost_image_box_shadow).'px '.esc_attr($makeup_artist_singlepost_image_box_shadow).'px #cccccc;';
		$makeup_artist_custom_css .='}';
	}

	// featured image dimention
	$makeup_artist_blog_post_featured_image_dimension = get_theme_mod('makeup_artist_blog_post_featured_image_dimension', 'default');
	$makeup_artist_blog_post_featured_image_custom_width = get_theme_mod('makeup_artist_blog_post_featured_image_custom_width',250);
	$makeup_artist_blog_post_featured_image_custom_height = get_theme_mod('makeup_artist_blog_post_featured_image_custom_height',250);
	if($makeup_artist_blog_post_featured_image_dimension == 'custom'){
		$makeup_artist_custom_css .='.post-main-box img{';
			$makeup_artist_custom_css .='width: '.esc_attr($makeup_artist_blog_post_featured_image_custom_width).'; height: '.esc_attr($makeup_artist_blog_post_featured_image_custom_height).';';
		$makeup_artist_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_blog_layout_option','Default');
    if($makeup_artist_theme_lay == 'Default'){
		$makeup_artist_custom_css .='.post-main-box{';
			$makeup_artist_custom_css .='';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_theme_lay == 'Center'){
		$makeup_artist_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn{';
			$makeup_artist_custom_css .='text-align:center;';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='.post-info{';
			$makeup_artist_custom_css .='margin-top:10px;';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='.post-info hr{';
			$makeup_artist_custom_css .='margin:15px auto;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_theme_lay == 'Left'){
		$makeup_artist_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$makeup_artist_custom_css .='text-align:Left;';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='.post-info hr{';
			$makeup_artist_custom_css .='margin-bottom:10px;';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='.post-main-box h2{';
			$makeup_artist_custom_css .='margin-top:10px;';
		$makeup_artist_custom_css .='}';
	}

	/*--------------------- Blog Page Posts -------------------*/

	$makeup_artist_blog_page_posts_settings = get_theme_mod( 'makeup_artist_blog_page_posts_settings','Into Blocks');
    if($makeup_artist_blog_page_posts_settings == 'Without Blocks'){
		$makeup_artist_custom_css .='.post-main-box{';
			$makeup_artist_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$makeup_artist_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$makeup_artist_copyright_background_color = get_theme_mod('makeup_artist_copyright_background_color');
	if($makeup_artist_copyright_background_color != false){
		$makeup_artist_custom_css .='#footer-2{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_copyright_background_color).';';
		$makeup_artist_custom_css .='}';
	} 

	$makeup_artist_footer_widgets_heading = get_theme_mod( 'makeup_artist_footer_widgets_heading','Left');
    if($makeup_artist_footer_widgets_heading == 'Left'){
		$makeup_artist_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$makeup_artist_custom_css .='text-align: left;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_footer_widgets_heading == 'Center'){
		$makeup_artist_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$makeup_artist_custom_css .='text-align: center;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_footer_widgets_heading == 'Right'){
		$makeup_artist_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$makeup_artist_custom_css .='text-align: right;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_footer_widgets_content = get_theme_mod( 'makeup_artist_footer_widgets_content','Left');
    if($makeup_artist_footer_widgets_content == 'Left'){
		$makeup_artist_custom_css .='#footer .widget{';
		$makeup_artist_custom_css .='text-align: left;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_footer_widgets_content == 'Center'){
		$makeup_artist_custom_css .='#footer .widget{';
			$makeup_artist_custom_css .='text-align: center;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_footer_widgets_content == 'Right'){
		$makeup_artist_custom_css .='#footer .widget{';
			$makeup_artist_custom_css .='text-align: right;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_copyright_alingment = get_theme_mod('makeup_artist_copyright_alingment');
	if($makeup_artist_copyright_alingment != false){
		$makeup_artist_custom_css .='.copyright p,#footer-2 p{';
			$makeup_artist_custom_css .='text-align: '.esc_attr($makeup_artist_copyright_alingment).';';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='
		@media screen and (max-width:720px) {
			.copyright p,#footer-2 p{';
			$makeup_artist_custom_css .='text-align: center;} }';
	}

	$makeup_artist_resp_stickycopyright = get_theme_mod( 'makeup_artist_stickycopyright_hide_show',false);
	if($makeup_artist_resp_stickycopyright == true && get_theme_mod( 'makeup_artist_copyright_sticky',false) != true){
    	$makeup_artist_custom_css .='.copyright-sticky{';
			$makeup_artist_custom_css .='position:static;';
		$makeup_artist_custom_css .='} ';
	}

	$makeup_artist_footer_social_icons_font_size = get_theme_mod('makeup_artist_footer_social_icons_font_size','16');
	$makeup_artist_custom_css .='.copyright .widget i{';
		$makeup_artist_custom_css .='font-size: '.esc_attr($makeup_artist_footer_social_icons_font_size).'px;';
	$makeup_artist_custom_css .='}';

	$makeup_artist_align_footer_social_icon = get_theme_mod('makeup_artist_align_footer_social_icon');
	if($makeup_artist_align_footer_social_icon != false){
		$makeup_artist_custom_css .='.copyright .widget{';
			$makeup_artist_custom_css .='text-align: '.esc_attr($makeup_artist_align_footer_social_icon).';';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='
		@media screen and (max-width:720px) {
			.copyright .widget{';
			$makeup_artist_custom_css .='text-align: center;} }';
	}

	$makeup_artist_footer_padding = get_theme_mod('makeup_artist_footer_padding');
	if($makeup_artist_footer_padding != false){
		$makeup_artist_custom_css .='#footer{';
			$makeup_artist_custom_css .='padding: '.esc_attr($makeup_artist_footer_padding).' 0;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_img_footer','scroll');
	if($makeup_artist_theme_lay == 'fixed'){
		$makeup_artist_custom_css .='#footer{';
			$makeup_artist_custom_css .='background-attachment: fixed !important; background-position: center !important;';
		$makeup_artist_custom_css .='}';
	}elseif ($makeup_artist_theme_lay == 'scroll'){
		$makeup_artist_custom_css .='#footer{';
			$makeup_artist_custom_css .='background-attachment: scroll !important; background-position: center !important;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_footer_img_position = get_theme_mod('makeup_artist_footer_img_position','center center');
	if($makeup_artist_footer_img_position != false){
		$makeup_artist_custom_css .='#footer{';
			$makeup_artist_custom_css .='background-position: '.esc_attr($makeup_artist_footer_img_position).'!important;';
		$makeup_artist_custom_css .='}';
	} 
	
	$makeup_artist_copyright_font_size = get_theme_mod('makeup_artist_copyright_font_size');
	if($makeup_artist_copyright_font_size != false){
		$makeup_artist_custom_css .='.copyright p, .copyright a{';
			$makeup_artist_custom_css .='font-size: '.esc_attr($makeup_artist_copyright_font_size).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_copyright_font_weight = get_theme_mod('makeup_artist_copyright_font_weight');
	if($makeup_artist_copyright_font_weight != false){
		$makeup_artist_custom_css .='.copyright p, .copyright a{';
			$makeup_artist_custom_css .='font-weight: '.esc_attr($makeup_artist_copyright_font_weight).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_copyright_text_color = get_theme_mod('makeup_artist_copyright_text_color');
	if($makeup_artist_copyright_text_color != false){
		$makeup_artist_custom_css .='.copyright p, .copyright a{';
			$makeup_artist_custom_css .='color: '.esc_attr($makeup_artist_copyright_text_color).';';
		$makeup_artist_custom_css .='}';
	} 

	/*------------------ Logo  -------------------*/

	$makeup_artist_logo_padding = get_theme_mod('makeup_artist_logo_padding');
	if($makeup_artist_logo_padding != false){
		$makeup_artist_custom_css .='.main-header .logo{';
			$makeup_artist_custom_css .='padding: '.esc_attr($makeup_artist_logo_padding).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_logo_margin = get_theme_mod('makeup_artist_logo_margin');
	if($makeup_artist_logo_margin != false){
		$makeup_artist_custom_css .='.main-header .logo{';
			$makeup_artist_custom_css .='margin: '.esc_attr($makeup_artist_logo_margin).';';
		$makeup_artist_custom_css .='}';
	}

	// Site title Font Size
	$makeup_artist_site_title_font_size = get_theme_mod('makeup_artist_site_title_font_size');
	if($makeup_artist_site_title_font_size != false){
		$makeup_artist_custom_css .='.logo h1, .logo p.site-title{';
			$makeup_artist_custom_css .='font-size: '.esc_attr($makeup_artist_site_title_font_size).';';
		$makeup_artist_custom_css .='}';
	}

	// Site tagline Font Size
	$makeup_artist_site_tagline_font_size = get_theme_mod('makeup_artist_site_tagline_font_size');
	if($makeup_artist_site_tagline_font_size != false){
		$makeup_artist_custom_css .='.logo p.site-description{';
			$makeup_artist_custom_css .='font-size: '.esc_attr($makeup_artist_site_tagline_font_size).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_site_title_color = get_theme_mod('makeup_artist_site_title_color');
	if($makeup_artist_site_title_color != false){
		$makeup_artist_custom_css .='p.site-title a{';
			$makeup_artist_custom_css .='color: '.esc_attr($makeup_artist_site_title_color).'!important;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_site_tagline_color = get_theme_mod('makeup_artist_site_tagline_color');
	if($makeup_artist_site_tagline_color != false){
		$makeup_artist_custom_css .='.logo p.site-description{';
			$makeup_artist_custom_css .='color: '.esc_attr($makeup_artist_site_tagline_color).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_logo_width = get_theme_mod('makeup_artist_logo_width');
	if($makeup_artist_logo_width != false){
		$makeup_artist_custom_css .='.logo img{';
			$makeup_artist_custom_css .='width: '.esc_attr($makeup_artist_logo_width).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_logo_height = get_theme_mod('makeup_artist_logo_height');
	if($makeup_artist_logo_height != false){
		$makeup_artist_custom_css .='.logo img{';
			$makeup_artist_custom_css .='height: '.esc_attr($makeup_artist_logo_height).';';
		$makeup_artist_custom_css .='}';
	}

	// Woocommerce img

	$makeup_artist_shop_featured_image_border_radius = get_theme_mod('makeup_artist_shop_featured_image_border_radius', 0);
	if($makeup_artist_shop_featured_image_border_radius != false){
		$makeup_artist_custom_css .='.woocommerce ul.products li.product a img{';
			$makeup_artist_custom_css .='border-radius: '.esc_attr($makeup_artist_shop_featured_image_border_radius).'px;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_shop_featured_image_box_shadow = get_theme_mod('makeup_artist_shop_featured_image_box_shadow');
	if($makeup_artist_shop_featured_image_box_shadow != false){
		$makeup_artist_custom_css .='.woocommerce ul.products li.product a img{';
				$makeup_artist_custom_css .='box-shadow: '.esc_attr($makeup_artist_shop_featured_image_box_shadow).'px '.esc_attr($makeup_artist_shop_featured_image_box_shadow).'px '.esc_attr($makeup_artist_shop_featured_image_box_shadow).'px #ddd;';
		$makeup_artist_custom_css .='}';
	}

	// menus

	$makeup_artist_header_menus_color = get_theme_mod('makeup_artist_header_menus_color');
	if($makeup_artist_header_menus_color != false){
		$makeup_artist_custom_css .='.main-navigation a{';
			$makeup_artist_custom_css .='color: '.esc_attr($makeup_artist_header_menus_color).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_header_menus_hover_color = get_theme_mod('makeup_artist_header_menus_hover_color');
	if($makeup_artist_header_menus_hover_color != false){
		$makeup_artist_custom_css .='.main-navigation a:hover{';
			$makeup_artist_custom_css .='color: '.esc_attr($makeup_artist_header_menus_hover_color).'!important;';
			$makeup_artist_custom_css .='border-bottom-color: '.esc_attr($makeup_artist_header_menus_hover_color).'!important;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_header_submenus_color = get_theme_mod('makeup_artist_header_submenus_color');
	if($makeup_artist_header_submenus_color != false){
		$makeup_artist_custom_css .='.main-navigation ul ul a{';
			$makeup_artist_custom_css .='color: '.esc_attr($makeup_artist_header_submenus_color).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_header_submenus_hover_color = get_theme_mod('makeup_artist_header_submenus_hover_color');
	if($makeup_artist_header_submenus_hover_color != false){
		$makeup_artist_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$makeup_artist_custom_css .='color: '.esc_attr($makeup_artist_header_submenus_hover_color).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_menus_item = get_theme_mod( 'makeup_artist_menus_item_style','None');
    if($makeup_artist_menus_item == 'None'){
		$makeup_artist_custom_css .='.main-navigation a{';
			$makeup_artist_custom_css .='';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_menus_item == 'Zoom In'){
		$makeup_artist_custom_css .='.main-navigation a:hover{';
			$makeup_artist_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: #384da6;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_navigation_menu_font_weight = get_theme_mod('makeup_artist_navigation_menu_font_weight','600');
	if($makeup_artist_navigation_menu_font_weight != false){
		$makeup_artist_custom_css .='.main-navigation a{';
			$makeup_artist_custom_css .='font-weight: '.esc_attr($makeup_artist_navigation_menu_font_weight).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_menu_text_transform','Uppercase');
	if($makeup_artist_theme_lay == 'Capitalize'){
		$makeup_artist_custom_css .='.main-navigation a{';
			$makeup_artist_custom_css .='text-transform:Capitalize;';
		$makeup_artist_custom_css .='}';
	}
	if($makeup_artist_theme_lay == 'Lowercase'){
		$makeup_artist_custom_css .='.main-navigation a{';
			$makeup_artist_custom_css .='text-transform:Lowercase;';
		$makeup_artist_custom_css .='}';
	}
	if($makeup_artist_theme_lay == 'Uppercase'){
		$makeup_artist_custom_css .='.main-navigation a{';
			$makeup_artist_custom_css .='text-transform:Uppercase;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_navigation_menu_font_size = get_theme_mod('makeup_artist_navigation_menu_font_size');
	if($makeup_artist_navigation_menu_font_size != false){
		$makeup_artist_custom_css .='.main-navigation a{';
			$makeup_artist_custom_css .='font-size: '.esc_attr($makeup_artist_navigation_menu_font_size).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_featured_image_border_radius = get_theme_mod('makeup_artist_featured_image_border_radius', 0);
	if($makeup_artist_featured_image_border_radius != false){
		$makeup_artist_custom_css .='.box-image img, .feature-box img{';
			$makeup_artist_custom_css .='border-radius: '.esc_attr($makeup_artist_featured_image_border_radius).'px;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_featured_image_box_shadow = get_theme_mod('makeup_artist_featured_image_box_shadow',0);
	if($makeup_artist_featured_image_box_shadow != false){
		$makeup_artist_custom_css .='.box-image img, #content-vw img{';
			$makeup_artist_custom_css .='box-shadow: '.esc_attr($makeup_artist_featured_image_box_shadow).'px '.esc_attr($makeup_artist_featured_image_box_shadow).'px '.esc_attr($makeup_artist_featured_image_box_shadow).'px #cccccc;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_related_image_box_shadow = get_theme_mod('makeup_artist_related_image_box_shadow',0);
	if($makeup_artist_related_image_box_shadow != false){
		$makeup_artist_custom_css .='.related-post .box-image img{';
			$makeup_artist_custom_css .='box-shadow: '.esc_attr($makeup_artist_related_image_box_shadow).'px '.esc_attr($makeup_artist_related_image_box_shadow).'px '.esc_attr($makeup_artist_related_image_box_shadow).'px #cccccc;';
		$makeup_artist_custom_css .='}';
	}

	/*--------------- Preloader Background Color  -------------------*/

	$makeup_artist_preloader_bg_color = get_theme_mod('makeup_artist_preloader_bg_color');
	if($makeup_artist_preloader_bg_color != false){
		$makeup_artist_custom_css .='#preloader{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_preloader_bg_color).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_preloader_border_color = get_theme_mod('makeup_artist_preloader_border_color');
	if($makeup_artist_preloader_border_color != false){
		$makeup_artist_custom_css .='.loader-line{';
			$makeup_artist_custom_css .='border-color: '.esc_attr($makeup_artist_preloader_border_color).'!important;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_preloader_bg_img = get_theme_mod('makeup_artist_preloader_bg_img');
	if($makeup_artist_preloader_bg_img != false){
		$makeup_artist_custom_css .='#preloader{';
			$makeup_artist_custom_css .='background: url('.esc_attr($makeup_artist_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$makeup_artist_custom_css .='}';
	}

	// Header Background Color

	$makeup_artist_header_background_color = get_theme_mod('makeup_artist_header_background_color');
	if($makeup_artist_header_background_color != false){
		$makeup_artist_custom_css .='.home-page-header{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_header_background_color).';';
		$makeup_artist_custom_css .='}';
	}

	/*------------------ Slider css  -------------------*/

	// $makeup_artist_slider_hide_show = get_theme_mod('makeup_artist_slider_hide_show',true);
	// if($makeup_artist_slider_hide_show == false){
	// 	$makeup_artist_custom_css .='.quoute-text{';
	// 		$makeup_artist_custom_css .=' position: static;';
	// 	$makeup_artist_custom_css .='}';
	// }

	// $makeup_artist_resp_slider_hide_show = get_theme_mod('makeup_artist_resp_slider_hide_show',true);
	// if($makeup_artist_resp_slider_hide_show == true){
	// 	$makeup_artist_custom_css .='@media screen and (max-width: 575px) {
	// 		.quoute-text{';
	// 			$makeup_artist_custom_css .=' margin-top: 10px;';
	// 	$makeup_artist_custom_css .='} }';
	// }

	/*------------------ Woocommerce Settings  -------------------*/

	$makeup_artist_related_product_show_hide = get_theme_mod('makeup_artist_related_product_show_hide',true);
	if($makeup_artist_related_product_show_hide != true){
		$makeup_artist_custom_css .='.related.products{';
			$makeup_artist_custom_css .='display: none;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_products_btn_padding_top_bottom = get_theme_mod('makeup_artist_products_btn_padding_top_bottom');
	if($makeup_artist_products_btn_padding_top_bottom != false){
		$makeup_artist_custom_css .='a.button.product_type_simple.add_to_cart_button{';
			$makeup_artist_custom_css .='padding-top: '.esc_attr($makeup_artist_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($makeup_artist_products_btn_padding_top_bottom).' !important;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_products_btn_padding_left_right = get_theme_mod('makeup_artist_products_btn_padding_left_right');
	if($makeup_artist_products_btn_padding_left_right != false){
		$makeup_artist_custom_css .='a.button.product_type_simple.add_to_cart_button{';
			$makeup_artist_custom_css .='padding-left: '.esc_attr($makeup_artist_products_btn_padding_left_right).' !important; padding-right: '.esc_attr($makeup_artist_products_btn_padding_left_right).' !important;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_woocommerce_sale_position = get_theme_mod( 'makeup_artist_woocommerce_sale_position','left');
    if($makeup_artist_woocommerce_sale_position == 'left'){
		$makeup_artist_custom_css .='.woocommerce ul.products li.product .onsale{';
			$makeup_artist_custom_css .='left: -10px; right: auto;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_woocommerce_sale_position == 'right'){
		$makeup_artist_custom_css .='.woocommerce ul.products li.product .onsale{';
			$makeup_artist_custom_css .='left: auto !important; right: 20px !important;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_woocommerce_sale_font_size = get_theme_mod('makeup_artist_woocommerce_sale_font_size');
	if($makeup_artist_woocommerce_sale_font_size != false){
		$makeup_artist_custom_css .='.woocommerce span.onsale{';
			$makeup_artist_custom_css .='font-size: '.esc_attr($makeup_artist_woocommerce_sale_font_size).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_woocommerce_sale_padding_top_bottom = get_theme_mod('makeup_artist_woocommerce_sale_padding_top_bottom');
	if($makeup_artist_woocommerce_sale_padding_top_bottom != false){
		$makeup_artist_custom_css .='.woocommerce span.onsale{';
			$makeup_artist_custom_css .='padding-top: '.esc_attr($makeup_artist_woocommerce_sale_padding_top_bottom).'; padding-bottom: '.esc_attr($makeup_artist_woocommerce_sale_padding_top_bottom).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_woocommerce_sale_padding_left_right = get_theme_mod('makeup_artist_woocommerce_sale_padding_left_right');
	if($makeup_artist_woocommerce_sale_padding_left_right != false){
		$makeup_artist_custom_css .='.woocommerce span.onsale{';
			$makeup_artist_custom_css .='padding-left: '.esc_attr($makeup_artist_woocommerce_sale_padding_left_right).'; padding-right: '.esc_attr($makeup_artist_woocommerce_sale_padding_left_right).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_woocommerce_sale_border_radius = get_theme_mod('makeup_artist_woocommerce_sale_border_radius', 100);
	if($makeup_artist_woocommerce_sale_border_radius != false){
		$makeup_artist_custom_css .='.woocommerce span.onsale{';
			$makeup_artist_custom_css .='border-radius: '.esc_attr($makeup_artist_woocommerce_sale_border_radius).'px;';
		$makeup_artist_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$makeup_artist_social_icon_font_size = get_theme_mod('makeup_artist_social_icon_font_size');
	if($makeup_artist_social_icon_font_size != false){
		$makeup_artist_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$makeup_artist_custom_css .='font-size: '.esc_attr($makeup_artist_social_icon_font_size).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_social_icon_padding = get_theme_mod('makeup_artist_social_icon_padding');
	if($makeup_artist_social_icon_padding != false){
		$makeup_artist_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$makeup_artist_custom_css .='padding: '.esc_attr($makeup_artist_social_icon_padding).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_social_icon_width = get_theme_mod('makeup_artist_social_icon_width');
	if($makeup_artist_social_icon_width != false){
		$makeup_artist_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$makeup_artist_custom_css .='width: '.esc_attr($makeup_artist_social_icon_width).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_social_icon_height = get_theme_mod('makeup_artist_social_icon_height');
	if($makeup_artist_social_icon_height != false){
		$makeup_artist_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$makeup_artist_custom_css .='height: '.esc_attr($makeup_artist_social_icon_height).';';
		$makeup_artist_custom_css .='}';
	}

	// Header Background Color
	$makeup_artist_header_background_color = get_theme_mod('makeup_artist_header_background_color');
	if($makeup_artist_header_background_color != false){
		$makeup_artist_custom_css .='.home-page-header{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_header_background_color).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_header_img_position = get_theme_mod('makeup_artist_header_img_position','center top');
	if($makeup_artist_header_img_position != false){
		$makeup_artist_custom_css .='.top-header{';
			$makeup_artist_custom_css .='background-position: '.esc_attr($makeup_artist_header_img_position).'!important;';
		$makeup_artist_custom_css .='}';
	}

	/*--------------------- Grid Posts Posts -------------------*/

	$makeup_artist_display_grid_posts_settings = get_theme_mod( 'makeup_artist_display_grid_posts_settings','Into Blocks');
    if($makeup_artist_display_grid_posts_settings == 'Without Blocks'){
		$makeup_artist_custom_css .='.grid-post-main-box{';
			$makeup_artist_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_grid_featured_image_border_radius = get_theme_mod('makeup_artist_grid_featured_image_border_radius', 0);
	if($makeup_artist_grid_featured_image_border_radius != false){
		$makeup_artist_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img{';
			$makeup_artist_custom_css .='border-radius: '.esc_attr($makeup_artist_grid_featured_image_border_radius).'px;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_grid_featured_image_box_shadow = get_theme_mod('makeup_artist_grid_featured_image_box_shadow',0);
	if($makeup_artist_grid_featured_image_box_shadow != false){
		$makeup_artist_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$makeup_artist_custom_css .='box-shadow: '.esc_attr($makeup_artist_grid_featured_image_box_shadow).'px '.esc_attr($makeup_artist_grid_featured_image_box_shadow).'px '.esc_attr($makeup_artist_grid_featured_image_box_shadow).'px #cccccc;';
		$makeup_artist_custom_css .='}';
	}

	/*---------------------------Footer Style -------------------*/

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_footer_template','makeup_artist-footer-one');
    if($makeup_artist_theme_lay == 'makeup_artist-footer-one'){
		$makeup_artist_custom_css .='#footer{';
			$makeup_artist_custom_css .='';
		$makeup_artist_custom_css .='}';

	}else if($makeup_artist_theme_lay == 'makeup_artist-footer-two'){
		$makeup_artist_custom_css .='#footer{';
			$makeup_artist_custom_css .='background: linear-gradient(to right, #f9f8ff, #dedafa);';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$makeup_artist_custom_css .='color:#000;';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='#footer ul li::before{';
			$makeup_artist_custom_css .='background:#000;';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$makeup_artist_custom_css .='border: 1px solid #000;';
		$makeup_artist_custom_css .='}';

	}else if($makeup_artist_theme_lay == 'makeup_artist-footer-three'){
		$makeup_artist_custom_css .='#footer{';
			$makeup_artist_custom_css .='background: #232524;';
		$makeup_artist_custom_css .='}';
	}
	else if($makeup_artist_theme_lay == 'makeup_artist-footer-four'){
		$makeup_artist_custom_css .='#footer{';
			$makeup_artist_custom_css .='background: #f7f7f7;';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$makeup_artist_custom_css .='color:#000;';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='#footer ul li::before{';
			$makeup_artist_custom_css .='background:#000;';
		$makeup_artist_custom_css .='}';
		$makeup_artist_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$makeup_artist_custom_css .='border: 1px solid #000;';
		$makeup_artist_custom_css .='}';
	}
	else if($makeup_artist_theme_lay == 'makeup_artist-footer-five'){
		$makeup_artist_custom_css .='#footer{';
			$makeup_artist_custom_css .='background: linear-gradient(to right, #01093a, #2d0b00);';
		$makeup_artist_custom_css .='}';
	}

 	/*---------------- Footer Settings ------------------*/

	$makeup_artist_button_footer_heading_letter_spacing = get_theme_mod('makeup_artist_button_footer_heading_letter_spacing',1);
	$makeup_artist_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$makeup_artist_custom_css .='letter-spacing: '.esc_attr($makeup_artist_button_footer_heading_letter_spacing).'px;';
	$makeup_artist_custom_css .='}';

	$makeup_artist_button_footer_font_size = get_theme_mod('makeup_artist_button_footer_font_size','30');
	$makeup_artist_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$makeup_artist_custom_css .='font-size: '.esc_attr($makeup_artist_button_footer_font_size).'px;';
	$makeup_artist_custom_css .='}';

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_button_footer_text_transform','Capitalize');
	if($makeup_artist_theme_lay == 'Capitalize'){
		$makeup_artist_custom_css .='#footer h3{';
			$makeup_artist_custom_css .='text-transform:Capitalize;';
		$makeup_artist_custom_css .='}';
	}
	if($makeup_artist_theme_lay == 'Lowercase'){
		$makeup_artist_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$makeup_artist_custom_css .='text-transform:Lowercase;';
		$makeup_artist_custom_css .='}';
	}
	if($makeup_artist_theme_lay == 'Uppercase'){
		$makeup_artist_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$makeup_artist_custom_css .='text-transform:Uppercase;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_footer_heading_weight = get_theme_mod('makeup_artist_footer_heading_weight','600');
	if($makeup_artist_footer_heading_weight != false){
		$makeup_artist_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$makeup_artist_custom_css .='font-weight: '.esc_attr($makeup_artist_footer_heading_weight).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_responsive_preloader_hide = get_theme_mod('makeup_artist_responsive_preloader_hide',false);
	if($makeup_artist_responsive_preloader_hide == true && get_theme_mod('makeup_artist_loader_enable',false) == false){
		$makeup_artist_custom_css .='@media screen and (min-width:575px){
			#preloader{';
			$makeup_artist_custom_css .='display:none !important;';
		$makeup_artist_custom_css .='} }';
	}

	if($makeup_artist_responsive_preloader_hide == false){
		$makeup_artist_custom_css .='@media screen and (max-width:575px){
			#preloader{';
			$makeup_artist_custom_css .='display:none !important;';
		$makeup_artist_custom_css .='} }';
	}

	$makeup_artist_bradcrumbs_alignment = get_theme_mod( 'makeup_artist_bradcrumbs_alignment','Left');
    if($makeup_artist_bradcrumbs_alignment == 'Left'){
    	$makeup_artist_custom_css .='@media screen and (min-width:768px) {';
		$makeup_artist_custom_css .='.bradcrumbs{';
			$makeup_artist_custom_css .='text-align:start;';
		$makeup_artist_custom_css .='}}';
	}else if($makeup_artist_bradcrumbs_alignment == 'Center'){
		$makeup_artist_custom_css .='@media screen and (min-width:768px) {';
		$makeup_artist_custom_css .='.bradcrumbs{';
			$makeup_artist_custom_css .='text-align:center;';
		$makeup_artist_custom_css .='}}';
	}else if($makeup_artist_bradcrumbs_alignment == 'Right'){
		$makeup_artist_custom_css .='@media screen and (min-width:768px) {';
		$makeup_artist_custom_css .='.bradcrumbs{';
			$makeup_artist_custom_css .='text-align:end;';
		$makeup_artist_custom_css .='}}';
	}

	// sticky sidebar
		$makeup_artist_resp_stickysidebar = get_theme_mod( 'makeup_artist_stickysidebar_hide_show',false);
	if($makeup_artist_resp_stickysidebar == true && get_theme_mod( 'makeup_artist_sticky_sidebar',false) != true){
		$makeup_artist_custom_css .= '@media (min-width: 768px) {';
    	$makeup_artist_custom_css .='#sidebar{';
			$makeup_artist_custom_css .='position:static;';
		$makeup_artist_custom_css .='} ';
		$makeup_artist_custom_css .= '}';
	}
    // First Letter Capital
	$makeup_artist_show_first_caps = get_theme_mod('makeup_artist_show_first_caps', false);
	if ($makeup_artist_show_first_caps ) {
	    $makeup_artist_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $makeup_artist_custom_css .=' font-size: 55px;font-weight: 600;margin-right: 5px;';
	    $makeup_artist_custom_css .='}';
	} else {
		$makeup_artist_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $makeup_artist_custom_css .= 'display: none;';
	    $makeup_artist_custom_css .='}';
	}
	// Featured hover image effect //
	$makeup_artist_show_featured = get_theme_mod( 'makeup_artist_featured_image_hide_show', 1 );
	$makeup_artist_hover_effect  = get_theme_mod( 'makeup_artist_featured_image_hover', 'none' );

	if ( $makeup_artist_show_featured && $makeup_artist_hover_effect !== 'none' ) {

		$makeup_artist_custom_css .= '
		.makeup-artist-featured-image img{
			transition: all 0.4s ease;
		}';

		if ( $makeup_artist_hover_effect === 'zoom-in' ) {
			$makeup_artist_custom_css .= '
			.makeup-artist-featured-image:hover img{
				transform: scale(1.2);
			}';
		}

		if ( $makeup_artist_hover_effect === 'zoom-out' ) {
			$makeup_artist_custom_css .= '
			.makeup-artist-featured-image img{
				transform: scale(1.2);
			}
			.makeup-artist-featured-image:hover img{
				transform: scale(1);
			}';
		}

		if ( $makeup_artist_hover_effect === 'grayscale' ) {
			$makeup_artist_custom_css .= '
			.makeup-artist-featured-image img{
				filter: grayscale(100%);
			}
			.makeup-artist-featured-image:hover img{
				filter: grayscale(0);
			}';
		}

		if ( $makeup_artist_hover_effect === 'sepia' ) {
			$makeup_artist_custom_css .= '
			.makeup-artist-featured-image:hover img{
				filter: sepia(100%);
			}';
		}

		if ( $makeup_artist_hover_effect === 'blur' ) {
			$makeup_artist_custom_css .= '
			.makeup-artist-featured-image:hover img{
				filter: blur(3px);
			}';
		}

		if ( $makeup_artist_hover_effect === 'bright' ) {
			$makeup_artist_custom_css .= '
			.makeup-artist-featured-image:hover img{
				filter: brightness(1.3);
			}';
		}

		if ( $makeup_artist_hover_effect === 'translate' ) {
			$makeup_artist_custom_css .= '
			.makeup-artist-featured-image:hover img{
				transform: translateY(-10px);
			}';
		}
	}
